<template lang="pug">
title-bar( icon="plus-circle" @click='$router.push({ name: "OrderCreate" })' ) {{$t("default.nav.orders")}}
b-container
	.tile.is-ancestor
		.tile.is-vertical
			.tile.is-parent
				b-card.tile.is-child: b-filter( @on-submit='fetch' )
			.tile.is-parent
				b-card.tile.is-child
					orders-table( :orders='orders' :loading='pending' has-member )
</template>

<script setup>
import BFilter from "@/components/orders/filter.vue"
import OrdersTable from "@/components/orders/Table.vue"

import { useOrderStore } from "@/stores/order"
import { computed, onMounted } from "vue"
import { useRouter } from "vue-router"

const $router = useRouter()
const os = useOrderStore()

const pending = computed(() => os.pending)
const orders = computed(() => os.orders)

const fetch = async () => {
	await os.getOrders()
}

onMounted(() => {
	if (!orders.value)
		fetch()
})
</script>

<style lang="scss" scoped>
.tile:deep(td) {
	vertical-align: middle;
}

.data {
	.date {
		font-size: .875rem;
		line-height: .875rem;
		font-weight: 600;
	}
}
</style>